# this spec file is auto-generated from yves's vlc.sh
# ask me before releasing it..
%define css -nocss
%define name 	vlc
%define version	0.2.72
%define release	1mdk

Summary:	DVD and Mpeg-1 or 2 player
Name:		%{name}
Version:	%{version}
Release:	%{release}

Source0:	http://www.videolan.org/packages/%{version}/%{name}-%{version}%{css}.tar.bz2
License:	GPL
Group:		Video
URL:		http://videolan.org/
BuildRoot:	%_tmppath/%name-%version-%release-root

%description
VideoLAN is a free network-aware MPEG and DVD player.
The VideoLAN Client allows to play MPEG2 Transport Streams from the
network or from a file, as well as direct DVD playback.
VideoLAN is a project of students from the Ecole Centrale Paris.
This version add MPEG1 support, direct DVD support, DVD decryption, 
arbitrary, seeking in the stream, pause, fast forward and slow motion, 
hardware YUV acceleration and a few new interface features 
including drag'n'drop.
You may install vlc-gnome vlc-gtk.
This package contains no deCSS functionality.


%package gtk
Summary: Gtk plug-in for VideoLAN, a DVD and Mpeg-2 player
Group: Video
Requires: %{name} = %{version}
%description gtk
The vlc-gtk packages includes the Gtk plug-in for the VideoLAN client.
If you are going to watch DVD with the Gtk front-end, you should 
install vlc-gtk.


%package gnome
Summary: Gnome plug-in for VideoLAN, a DVD and Mpeg-2 player
Group: Video
Requires: %{name} = %{version}
%description gnome
The vlc-gnome packages includes the Gnome plug-in for the VideoLAN client.
If you are going to watch DVD with the Gnome front-end, you should 
install vlc-gnome.



%prep
%setup -q -n %{name}-%{version}%{css}

%build
%ifarch ppc
# Dadou - 0.1.99h-mdk - Don't use configure here. It breaks build at present
#                       time.
./configure --prefix=%_prefix \
	    --enable-gnome \
	    --enable-esd \
	    --enable-fb \
	    --enable-sdl
perl -pi -e "s|CFLAGS \+= -mcpu=604e|#CFLAGS \+= -mcpu=604e|" Makefile
perl -pi -e "s|#CFLAGS \+= -mcpu=750|CFLAGS \+= -mcpu=750 -mtune=750|" Makefile
%else
%configure --enable-gnome --enable-x11 --enable-gtk \
	   --enable-esd --enable-alsa \
	   --enable-fb --enable-mga \
	   --enable-xvideo \
	   --with-sdl \
%endif

%make

%install
%makeinstall
install -d %buildroot/%_mandir/man1
install doc/vlc.1 %buildroot/%_mandir/man1

%clean
rm -fr %buildroot

%files
%defattr(-,root,root,-)
%doc README COPYING
%{_bindir}/*

%{_libdir}/videolan/vlc/dsp.so
%{_libdir}/videolan/vlc/esd.so
%{_libdir}/videolan/vlc/fb.so
%{_libdir}/videolan/vlc/sdl.so
%{_libdir}/videolan/vlc/x*.so

%dir %{_datadir}/videolan
%{_datadir}/videolan/*
%{_mandir}/man1/*

%files gtk
%defattr(-,root,root)
%{_libdir}/videolan/vlc/gtk.so

%files gnome
%defattr(-,root,root)
%{_libdir}/videolan/vlc/gnome.so


%changelog
* Mon Apr 16 2001 Yves Duret <yduret@mandrakesoft.com> 0.2.72-1mdk
- version 0.2.72
- package split into vlc, vlc-gnome, vlc-gtk

* Fri Apr 13 2001 Yves Duret <yduret@mandrakesoft.com> 0.2.71-1mdk
- version 0.2.71 :
  * Fixed segfaults when compiled with gcc 3.0pre and versions of gcc
    shipped with the latest RedHat distributions.                    
  * Fixed the BeOS CSS decryption.
  * Fixed a few issues in IFO parsing.
  * Fixed XVideo video output.
  * Updated icons under Linux, BeOS, MacOS X.

* Wed Apr 11 2001 Yves DUret <yduret@mandrakesoft.com> 0.2.70-1mdk
- version 0.2.70

* Thu Mar 22 2001 Yves Duret <yduret@mandrakesoft.com> 0.2.63-1mdk
- version 0.2.63 : Bugfixes, bugfixes, and bugfixes again, a Gtk+ 
  interface for the Gnome-impaired, an even better DVD support

* Fri Feb 16 2001 Yves Duret <yduret@mandrakesoft.com> 0.2.61-1mdk
- new version for all the DVD fans (add MPEG1 support, direct DVD support, 
  DVD decryption, arbitrary, seeking in the stream, pause, fast forward 
  and slow motion, hardware YUV acceleration enhanced CSS support and a few 
  new interface features including drag'n'drop.
- first *real* public release (now under the GPL)

* Sat Jan 06 2001 David BAUDENS <baudens@mandrakesoft.com> 0.1.99i-2mdk
- Fix build and use right optimizations on PPC
- Enable SDL support
- Spec clean up

* Fri Jan  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.1.99i-1mdk
- 0.1.99i, rebuild

* Fri Aug 25 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.1.99h-1mdk
- 0.1.99h

* Mon Jul 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.1.99c-1mdk
- first Mandrake package with help of Sam
